
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>响应式JavaScript:在需要时加载JS / iVAN</title>

    <meta name="description" content="响应式JavaScript:在需要时加载JS 文章简介:与之前我们在前端加载全部javascript相比,为什么我们不加载最少量的JavaScript然后在用户界面需要的时候再加载额外的JavaScript代码呢? 一年前我做了一个关于这个主题的演讲.我第一次关注这个技术是因为 @dhh发布的他们在 37signals使用的一些观点.我注意到他们 在模板视图里如何使用JavaScript,动态生成JavaScript这是它的关注点,这引起了我的思考. 与之前我们在前端加载全部javascript相比,为什么我们不加载最少量的JavaScri">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">响应式JavaScript:在需要时加载JS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<table>
<tr>
<td>
文章简介：与之前我们在前端加载全部javascript相比，为什么我们不加载最少量的JavaScript然后在用户界面需要的时候再加载额外的JavaScript代码呢？
</td>
</tr>
</table>
<p>一年前我做了一个关于这个主题的演讲。我第一次关注这个技术是因为 @dhh发布的他们在 37signals使用的一些观点。我注意到他们 在模板视图里如何使用JavaScript，动态生成JavaScript这是它的关注点，这引起了我的思考。</p>
<p>与之前我们在前端加载全部javascript相比，为什么我们不加载最少量的JavaScript然后在用户界面需要的时候再加载额外的JavaScript代码呢？</p>
<p>我把这称为响应式的JavaScript，你听说过pjax这个 术语，或者 unobtrusive JavaScript，等等。目的是后端的JavaScript按前端动作加载。不管是GET、POST、DELETE等待，只要请求是ajax，响应将会是JavaScript而不是JSON。</p>
<p>你使用的一些产品中的一些实例或许已经使用这个 概念了。BCX、GitHub、Airbnb都以不同方式使用了这个概念。这一概念的问题在于它不绑定任何的库或框架，你必须使用目前的工具来它工作。庆幸，现在已经有了一个JavaScript库可以帮助你开始。jQuery-UJS可以让你添加 remote=”true” 到任何链接，这些链接会自动转换成一个Ajax调用。</p>
<p>首先，一个例子</p>
<p>class PostsController &lt; ApplicationController<br />  def index<br />    @posts = Post.all<br />  end<br /> <br />  def show<br />    @post = Post.find params[:id].to_i<br />    respond_to do format<br />      format.js<br />      format.html<br />    end<br />  end<br /> <br />  def create<br />    #.. Create a post<br />    respond_to do format<br />      format.js<br />      format.html<br />    end<br />  end<br />end</p>
<p>&lt;!-- app/views/index.html.erb --&gt;<br />&lt;ul class="posts"&gt;<br />  &lt;%= @posts.each do post %&gt;<br />    &lt;%= render_link_to_post(post) %&gt;<br />  &lt;% end %&gt;<br />&lt;/ul&gt;</p>
<p># app/views/create.js.erb<br />(function() {<br />  var $post = $("&lt;%= j render_link_to_post(@post) %&gt;")<br />  $post.hide().prependTo($("ul.posts")).fadeIn()<br />})()</p>
<p># app/views/show.js.erb<br />(function() {<br />  var $post = $("&lt;%= j render("overview", post: @post) %&gt;")<br />  $post.dialog("open")<br />})()</p>
<p>&lt;!-- app/views/show.html.erb --&gt;<br />&lt;div class="title"&gt;<br />  &lt;%= @post.title %&gt;<br />&lt;/div&gt;<br />&lt;div class="body"&gt;<br />  &lt;%= @post.body %&gt;<br />&lt;/div&gt;</p>
<p>#helper.rb<br />def render_link_to_post(post)<br />  link_to post.title, post_path(post), remote: true<br />end</p>
<p>在这个例子中，当有人点击链接，它将会调用/posts/:id。如果请求是AJAX，它将调用show.js.erb，执行模板里的代码。如果不是的话，它将调用show.html.erb。还有一个叫created.js.erb模板，当你通过Ajax表单创建一个资源时将被调用。表单被清理的尽可能简单。</p>
<p>URL帮你定位到bug<br />假设你点击链接时有一个bug，通过使用这种技术，你可以通过查看URL追溯起源。<br />举例：posts/:id与与位于app/views/posts/show.js.erb的JS模板相关联。<br />正如你在处理HTML视图时所期望的一样。</p>
<p>web页面有生命期<br />回顾一下上面的例子。当你用Ajax表单发布一条post，按预设列表将生成一个与该post对应的链接。看一下请求的方法：它和你调用/posts时相同，这不是一种偶然。当你使用这种方法时会试图避免代码重复，ajax除了不最终生成页面外与正常请求使用相同的组件。</p>
<p>这意味着，当你发布一个新post后，如果你刷新页面，将会显示相同的文章列表，因为它们使用了相同的机制。</p>
<p>复用相同的视图逻辑<br />这是一个以前的扩展。既然在服务器端已经生成了HTML，你可能会在视图里看到很多重复代码，使用助手类或修饰器来简化代码将不会是件难事。</p>
<p>因为所有映射都来自从同一个地方，HTML的修改也可以在同一个地方完成。比如，如果我想要将列表中的链接替换成一个更具描述性的，我可以修改render_link_to_post（一个坏的函数名，原谅我）的实施细则以适应变化。</p>
<p>JavaScript在动作间的传递 &amp; 页面加载优化<br />现在，你的JavaScript在2个不同的地方加载：</p>
<p>由标签链接加载JavaScript。在页面加载时加载，运行时不能定制，JavaScript可以被预编译；<br />作为用户页面动作的响应加载。<br />对服务内容能更好的控制是这种方式的优点。如果你感觉解析代码较多时慢，你可以一些请求时的负载抽取到标签链接中加载。</p>
<p>当需要时加载需要的<br />由于网页在服务器端的渲染，所以响应最小化时你有很多可选的库，也许你可以试试jQuery、Zepto或其他什么的，但记住：JavaScript几乎从来（我不知道是不是每个都是）不在加载时渲染页面，加载完后才开始。</p>
<p>看看上面的例子。create.js.erb上有个问题，我可以用很好的功能和其他好东西来包装它，但如果人们从不发布post这有什么意义呢。</p>
<p>这需要你维持一个平衡。当有有些东西大量使用是（每用户每页使用超过一次），像你其他库一样用标签来加载它吧，其他的当HTML动作触发时再加载吧。</p>
<p>可重复的动作(调试目的)<br />你是否遇到过这种情况，当你调试应用的时候3~4个不同的动作都提示你的javascript代码里有bug？因为响应是独立的JavaScript代码，你只能将响应粘贴到控制台一步步捕捉异常。</p>
<p>我做了什么呢，我拿掉了挡在我和我正在使用变量间的障碍，这样，在控制台了我可以将bug缩小到变量层面。</p>
<p>清晰<br />客户端的JavaScript通常与通知或事件搭配使用，触发这些事件、收到服务器更新，这一切瞬间就绪。通常瞬间见效的事通常难以追踪。</p>
<p>当响应是JavaScript代码时结果就很容易理解了。看看上面的例子，我详细你能明白这两个Ajax响应的预期行为。</p>
<p>就是这样<br />这是我的选择，你可也可以有自己的选择。我希望你喜欢这篇文章且有了自己尝试一下的冲动。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 23:24:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e9%93%be%e6%8e%a5/" title="链接">链接</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/post/" title="post">post</a>, <a href="https://www.iamivan.net/tag/app-%e5%89%8d%e7%ab%af-js/" title="app 前端  js">app 前端  js</a>, <a href="https://www.iamivan.net/tag/ajax%e9%87%8d%e5%a4%8d%e8%b0%83%e7%94%a8/" title="ajax重复调用">ajax重复调用</a>, <a href="https://www.iamivan.net/tag/%e7%9b%b8%e5%90%8c%e8%a7%86%e5%9b%be-%e6%b8%b2%e6%9f%93/" title="相同视图 渲染">相同视图 渲染</a>, <a href="https://www.iamivan.net/tag/link_to/" title="link&lowbar;to">link&lowbar;to</a>, <a href="https://www.iamivan.net/tag/pjax/" title="pjax">pjax</a>, <a href="https://www.iamivan.net/tag/javascript%e5%8a%a0%e8%bd%bdjs/" title="javascript加载js">javascript加载js</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>响应式JavaScript:在需要时加载JS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYml3b.html" rel="bookmark">javascript include&sol;import 动态加载js&sol;css文件方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一种:一般用在外部CSS文件中加载必须的文件  程序代码  代码如下 复制代码 @import url(style.css); /*只能用在CSS文件中或者style标签中*/ 第二种:简单的在页面中加载一个外部CSS文件  程序代码  代码如下 复制代码 document.createStyleSheet(cssFile); 第三种:用createElement方法创建CSS的Link标签  程序代码  代码如下 复制代码 var head = document.getElementsByT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NYB3b.html" rel="bookmark">实现高性能JavaScript之执行与加载&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浏览器在处理HTML页面渲染和JavaScript脚本执行的时候是单一进程的,所以在当浏览器在渲染HTML遇到了&lt;script&gt;标签会先去执行标签内的代码(如果是使用src属性加载的外链文件,则先下载再执行),在这个过程中,页面渲染和交互都会被阻塞. ...虽然会有阻塞,但还是有几招可以减少JavaScript对性能的影响的. 1.script标签的位置 当&lt;script&gt;出现在&lt;head&gt;中的时候,比如: &lt;head&gt; &lt;script type=&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEZZ1z.html" rel="bookmark">javascript 文件的同步加载与异步加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:[转载]javascript 文件的同步加载与异步加载   HTML 4.01 的script属性 charset: 可选.指定src引入代码的字符集,大多数浏览器忽略该值. defer: boolean, 可选.延迟脚本执行,相当于将script标签放入页面body标签的底部,js脚本会在document的DOMContentLoaded之前执行.除IE和较新版本的Firefox外,其他浏览器并未支持. language: 已废弃.大部分浏览器会忽略该值. src: 可选.指定引入的外部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwJkNM.html" rel="bookmark">viewpager-Android中ViewPager初始化时加载数据相同的问题，急</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android中ViewPager初始化时加载数据相同的问题,急 使用ViewPager,默认预加载下一页.我的代码中初始化时第二页的数据把第一页的覆盖了,导致两页数据相同.当切换页面的时候,第一页被销毁时,再切换回来数据才显示正常.求指导,我实在搞不清楚问题出在哪里了. public class RealPaperAdapter extends PagerAdapter { private Context context; private List&lt;Analyze&gt; paperLi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QQEAp.html" rel="bookmark">跟我学习javascript的异步脚本加载&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先来看这行代码: &lt;script src = &quot;allMyClientSideCode.js&quot;&gt;&lt;/script&gt; 这有点儿--不怎么样.&quot;这该放在哪儿?&quot;开发人员会奇怪,&quot;靠上点,放到&lt;head&gt;标签里?还是靠下点,放到&lt;body&gt;标签里?&quot;这两种做法都会让富脚本站点的下场很凄惨.&lt;head&gt;标签里的大脚本会滞压所有页面渲染工作,使得用户在脚本加载完毕之前一直处于&quot;白屏死机&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGr3q6p.html" rel="bookmark">JavaScript实现图片懒加载&lpar;Lazyload&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				懒加载的意义(为什么要使用懒加载) 对页面加载速度影响最大的就是图片,一张普通的图片可以达到几M的大小,而代码也许就只有几十KB.当页面图片很多时,页面的加载速度缓慢,几S钟内页面没有加载完成,也许会失去很多的用户. 所以,对于图片过多的页面,为了加速页面加载速度,所以很多时候我们需要将页面内未出现在可视区域内的图片先不做加载, 等到滚动到可视区域后再去加载.这样子对于页面加载性能上会有很大的提升,也提高了用户体验. 原理 将页面中的img标签src指向一张小图片或者src为空,然后定义data			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEjy0p.html" rel="bookmark">jquery lazyload实现下拉滚动条时加载图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				lazyload图片延迟加载使图片在下拉滚动条时加载,一个很不错的用户体验,既减少了页面加载的时间了,也减轻了服务器的压力. 使用方法: 使用JQuery插件 ,插件名: jquery.lazyload(7kb大小),压缩后(3kb大小). 1.直接导入Jquery插件 &lt;script src=&quot;jquery.js&quot; type=&quot;text/javascript&quot;&gt;&lt;/script&gt; &lt;script src=&quot;jquery.la			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVYXBz.html" rel="bookmark">原生javaScript实现图片延时加载的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了原生javaScript实现图片延时加载的方法.图片延时加载其实是有jquery插件了并且加载方法非常的简单并且合理了,但有朋友觉得加载jquery插件包太大了,于时自己写了一个,给各位分享一下. 首先,图片延时加载可以节省我们带宽,获取到更好的用户体验,尤其对于图片多的站点,这一点显得至关重要,下面就跟大家探讨一下图片延时加载原理和实现代码. 图片延时加载原理 图片延时加载原理是在html里面的图片src填的并不是真正的图片地址,而是以一种自定义属性把图片地址赋给img标签,如:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBk58KM.html" rel="bookmark">javascript 文件的同步加载与异步加载实现原理&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTML 4.01 的script属性 charset: 可选.指定src引入代码的字符集,大多数浏览器忽略该值. defer: boolean, 可选.延迟脚本执行,相当于将script标签放入页面body标签的底部,js脚本会在document的DOMContentLoaded之前执行.除IE和较新版本的Firefox外,其他浏览器并未支持. language: 已废弃.大部分浏览器会忽略该值. src: 可选.指定引入的外部代码文件,不限制后缀名. type: 必选.指定脚本的内容类型(M			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEgX3p.html" rel="bookmark" class="title">51&period;com&amp;amp&semi;nbsp&semi;CEO庞升东：我低估了创业的困难</a>
					<div>
						新9月14日10点30分,51.com CEO庞升东做客新浪科技白银时代,就互联网创业.SNS.博客等话题与网友交流.以下为实录全文: 主持人:各位网友大家上午好,今天我们白银时代邀请的嘉宾是51.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNQWyb.html" rel="bookmark" class="title">个人网站多少IP能赚到多少钱&quest;</a>
					<div>
						1000ip 200-300元(每天1000ip,对于像个站点,有点内容的站点,不出20天就很容易的就能做到.tom联盟可以有400点=2块,3721广告联盟可以有100点=4块,3721助手联盟=2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQgnQp.html" rel="bookmark" class="title">浅谈如何提升关键词的价值</a>
					<div>
						网站关键词就是一个网站给首页设定的以便用户通过搜索引擎能搜到本网站的词汇,可以说一个网站的关键词有没有价值代表了网站的市场定位.人人都想&quot;网站关键词排名靠前&quot;,但常常事与愿违,这是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAPXXb.html" rel="bookmark" class="title">设计案例分享&colon;QQ登陆节日banner的创作过程</a>
					<div>
						文章描述:设计案例分享:QQ登陆节日banner的创作过程. QQ登录banner是与用户沟通情感的小窗口,在一些特殊的日子里我们尝试一些力所能及的表达方式来给用户一种感动,一种记忆. QQ登录ban ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyaE5M.html" rel="bookmark" class="title">Photoshop画图教程：模仿达芬奇练习画鸡蛋</a>
					<div>
						教程难点: 1.如果对软件不了解的话需要找点资料看看, 2.如果初次尝试把握不好,加深减淡的曝光率可以设置到5%左右,多擦几次. 3.阴影变形要符合逻辑,最起码看着比较像吧.蒙版+渐变工具使其一端变透 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYP59b.html" rel="bookmark" class="title">spring中关于&OpenCurlyDoubleQuote;transactionAttributes&rdquo;的相关配置</a>
					<div>
						&lt;bean id=&quot;baseTransactionProxy&quot; class=&quot;org.springframework.transaction.interceptor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Ka3b.html" rel="bookmark" class="title">64位Windows是否真的必不可少？</a>
					<div>
						如果你还不知道64位Windows,那么现在也应该关注一下了. 首先,对64位技术的历史作一个简短回顾:64位技术-即使是对Windows来说-也并不新鲜.Unix和OpenVMS使用64位技术已经有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kn4Xz.html" rel="bookmark" class="title">Java中定时启动线程</a>
					<div>
						这里提供两种在指定时间后启动线程的方法.一是通过java.util.concurrent.DelayQueue实现:二是通过java.util.concurrent.ScheduledThreadPo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywvx8z.html" rel="bookmark" class="title">Word书籍装订式双面打印设置教程</a>
					<div>
						打印Word文档做资料的时候,为了节省纸张,常常要把A4纸一面打印两页内容,双面打印后,做成书籍.按照Word自带的双面打印功能,打印出来的页码会乱,肯定不行,所以我在经过一番试验浪费了几张A4纸后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e5Job.html" rel="bookmark" class="title">禁用了U盘还能用U盘装系统吗</a>
					<div>
						在别人的电脑上使用U盘时不小心感染了病毒,自己就照着网上的方法在自己的电脑上禁用了U盘启动,但问题就来了,因为网友有时重装系统时也是用U盘来重装的,如果禁用了之后,不就不可以用U盘来装系统了吗?下面就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJPPOp.html" rel="bookmark" class="title">迅雷8下载提示未安装迅雷怎么回事</a>
					<div>
						  u 迅雷7.2 [1]建议卸载迅雷重新安装. [2]点击迅雷右上角倒三角按钮,然后点击&quot;迅雷下载诊断工具&quot;-浏览器支持查看是否属于不支持的浏览器或已禁用. [3]查看下管理加载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkevWb.html" rel="bookmark" class="title">windows7系统怎么打开摄像头</a>
					<div>
						  1.首先进入设备管理器,看有没有摄像头这一设备,如果有,进入我的电脑就会看到这个图标,双击它就会打开; 2.如果没有,那么需要安装摄像头的驱动.驱动安装好后在我的电脑中就会看到它了.这样就可以打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7gLjM.html" rel="bookmark" class="title">怎样编辑U盘启动菜单</a>
					<div>
						  用U盘做启动盘一般都不只WinPE这一项选择了,还可以用来启动系统和一些常用工具,比如ghost工具等.那么如何编辑U盘启动菜单呢?只要修改menu.lst文件即可. 用户根据自己的需要修改下面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N7QDz.html" rel="bookmark" class="title">数据分析行业需要具备哪些技术 如何快速进入</a>
					<div>
						大数据如此火爆的时代,各种人才倍受青睐.视野决定了境界和能力,而所处的环境又决定了视野.好多人不知道什么是数据分析师,认为会熟练使用Excel就是数据分析师,如果你还会使用Excel中的一些高级功能如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQqD8p.html" rel="bookmark" class="title">Sql Server生成测试数据</a>
					<div>
						GO create table tb_TestTable400 --创建表 ( id int identity(1,1) primary key, userName nvarchar(40) not  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRorwb.html" rel="bookmark" class="title">Android shape自定义button样式</a>
					<div>
						我们今天来说一说怎么样让你的Button更炫一些,如果把这个添加到你的游戏里,你就会让你的游戏更吸引玩家,android为我们提供了太多难以想象的效果,那么我们就来看看这个效果怎么样来实现吧,我们还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rwGxp.html" rel="bookmark" class="title">ASP&period;NET与MySQL数据库简明图示入门教程</a>
					<div>
						在ASP时代,如果我们要建立一个数据库驱动的web站点,那么你可以选择环很多钱的微软SQLSERVER数据库或者选择要花很多时间来寻找达到性能和稳定性统一的ACCESS数据库,但在.NET时代你有另一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB5dmb.html" rel="bookmark" class="title">对象创建的问题</a>
					<div>
						问题描述 var TestObject = Class.create();TestObject.prototype = { data: new Array(), initialize: functio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZGLnz.html" rel="bookmark" class="title">帮忙修改一个jquery左侧导航只展开一个菜单的效果，页面结构模式不可改，都是平级的。</a>
					<div>
						问题描述 帮忙修改一个jquery左侧导航只展开一个菜单的效果,页面结构模式不可改,都是平级的. &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqXqVb.html" rel="bookmark" class="title">互联网革新 用户如何看待网站的验证码广告</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 内容导读 从本篇文章中,你将获知什么? 国内外验证码广告介绍 验证码广告用户体验的重要性 验证码广告用户体验数据 上线5个月,验证码广告的表现如何? 验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK50BZp.html" rel="bookmark" class="title">eclipse怎样生成javadoc</a>
					<div>
						使用eclipse生成文档(javadoc)主要有三种方法: 1,在项目列表中按右键,选择Export(导出),然后在Export(导出)对话框中选择java下的javadoc,提交到下一步. 在Ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod4W3M.html" rel="bookmark" class="title">糊涂女网上献身白马王子行敲诈</a>
					<div>
						□记者 陆慧 通讯员 陈小和 天真烂漫的江小姐,做梦也没有想到,由于自己的一时糊涂,将自己的3张裸照献给网上情人路某后,却险些被这位&quot;白马王子&quot;敲诈勒索弄得个既&quot;失身&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkQk0M.html" rel="bookmark" class="title">php模拟登录目标网站&comma;为何302没有跟随跳转&period;cookie已经获得&period;求解惑&period;</a>
					<div>
						问题描述 php模拟登录目标网站,为何302没有跟随跳转.cookie已经获得.求解惑. &lt;?php error_reporting(0); $user = 'cckk263'; //邮箱密码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnwNmp.html" rel="bookmark" class="title">香港天文台12时仍维持八号风球</a>
					<div>
						8月14日消息,香港天文台12时仍维持八号风球,表示会在下午二时前后考虑改发三号强风信号,若八号或以上台风讯号於中午12时仍然生效,港股周三将全天暂停交易. 根据港交所指引,若八号或以上台风讯号於中午 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEQL5z.html" rel="bookmark" class="title">jQuery选择器的工作原理和优化分析&lowbar;jquery</a>
					<div>
						每次申明一个jQuery对象的时候,返回的是jQuery.prototype.init 对象,很多人就会不明白,init明明是jQuery.fn的方法啊,实际上这里不是方法,而是init的构造函数,因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWgJPz.html" rel="bookmark" class="title">浅析android中的线程封装&lowbar;Android</a>
					<div>
						简单写一下android 对线程 的c++封装---其实API已经写得很清楚了-- 封装 的文件 :/frameworks/base/include/utils/threads.h 这里不讨论具体实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8dPWp.html" rel="bookmark" class="title">SqlServer获取存储过程返回值的实例&lowbar;MsSql</a>
					<div>
						1.OUPUT参数返回值 复制代码 代码如下: CREATE PROCEDURE [dbo].[nb_order_insert](@o_buyerid int ,@o_id bigint OUTPUT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YYq0p.html" rel="bookmark" class="title">房企不能不说的秘密</a>
					<div>
						在政策危机和金融危机中尝到苦头的房地产公司,开始寻找强大的靠山,来规避风险 文/夕曦 如同中国的股市一样,中国的房地产市场是一个政策市.这一点早已成为很多业内人的共识.所以房地产业的大佬们,一方面小心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW2m8M.html" rel="bookmark" class="title">企业网站外链如何做 四种巧妙方法让你得心应手</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 虽然现在大家都说外链没什么用了,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YLdRp.html" rel="bookmark" class="title">编程问题难解决，学会提问是关键！</a>
					<div>
						什么地方 找到正确的地方问编程问题可能和问对问题一样重要.如果你跟错误的人问了正确的问题,也许得到了答案,但你不会得到一个好答案.因为你想要一个好答案,就需要知道在哪里问问题. 1. 打电话给朋友 如 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
